<?php

/*

PHPCounter 7.0

Dec03 Release


*/

//Include the settings
require dirname(__FILE__) . "/debug.php";
require dirname(__FILE__) . "/settings.php"; //debug.php is needed by settings.php
require dirname(__FILE__) . "/prelims.php"; //settings.php is needed by prelims.php
require dirname(__FILE__) . "/functions.php";


/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-

This is the main bit of the counter!

=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
	
	
$Count = 0;

$StartingCWD = getcwd();

if(IgnoreCount() == FALSE){
	//Prepare the variables
	$remote = "";
	if(!$remote = GetVar("HTTP_X_FORWARDED_FOR",false)){
	    $remote = gethostbyaddr(GetVar("REMOTE_ADDR", "127.0.0.1"));
		}
	
	if(!$remote_host = GetVar("REMOTE_HOST", false)) {
	   $remote_host = GetVar("REMOTE_ADDR",  "-");
	}
	
	$remote_user = GetVar("REMOTE_USER",  "-");
	
	$remote_ident = GetVar("REMOTE_IDENT",  "-");
	
	$server_port = GetVar("SERVER_PORT", 80);
	
	if($server_port!=80) {
	    $server_port =  ":" . $server_port;
		}
	else{
	    $server_port =  "";
		}
	
	$server_name = GetVar("SERVER_NAME",  "-");
	
	$request_method = GetVar("REQUEST_METHOD",  "GET");
	
	$request_uri = GetVar("REQUEST_URI",  "");
	
	$user_agent = GetVar("HTTP_USER_AGENT",  "");
	
	$referer = GetVar("HTTP_REFERER", "#");
	
	$script_name = GetVar("SCRIPT_NAME", "");
	
	$QS = GetVar("QUERY_STRING", "");
	
	$s = "$script_name\t$request_uri\t$referer\t$user_agent\t$remote\t". time() . "\n";
	
	$GLFN = dirname(__FILE__) . "/GlobalLog-" . $GLOBALS["TimeStampPrefix"] . ".txt";
	if(!file_exists($GLFN)){
		touch($GLFN);
		chmod($GLFN, 0666);
		}
	
	$CountFP = fopen($GLFN, "ab");
	if(flock($CountFP, LOCK_EX)){
		fwrite($CountFP, $s);
		flock($CountFP, LOCK_UN);
		}
	fclose($CountFP);
	
	$CountFileName = dirname(__FILE__) . "/" . $GLOBALS["TimeStampPrefix"] . "--" . md5($script_name) . ".count";
	/*
	File format for .count files:
	
	START FILE
	script name
	count
	END FILE
	
	That is, two lines: The first line is the script name, and the second is the count.
	*/
	
	
	if(!file_exists($CountFileName)){
		touch($CountFileName);
		chmod($CountFileName, 0666);
		$CountString = "$script_name\n1";
		$GLOBALS["Count"] = 1;
		$CountFP = fopen($CountFileName, "wb");
		if(flock($CountFP, LOCK_EX)){
			fwrite($CountFP, $CountString);
			flock($CountFP, LOCK_UN);
			}
		fclose($CountFP);
		}
	else{
		$FA = file($CountFileName);
		$Count = $FA[1] + 1;
		$GLOBALS["Count"] = $Count;
		$CountString = "$script_name\n". $Count;
		$CountFP = fopen($CountFileName, "wb");
		if(flock($CountFP, LOCK_EX)){
			fwrite($CountFP, $CountString);
			flock($CountFP, LOCK_UN);
			}
		fclose($CountFP);
		}
	
	}
else{
	$CountFileName = dirname(__FILE__) . "/" . $GLOBALS["TimeStampPrefix"] . "--" . md5(GetVar("SCRIPT_NAME", "")) . ".count";
	if($GLOBALS["DEBUG"]){
		echo "<p>Getting the count file: $CountFileName</p>";
		}
	//just get the current count...	
	if(!file_exists($CountFileName)){
		$GLOBALS["Count"] = 0;
		}
	else{
		$FA = file($CountFileName);
		$GLOBALS["Count"] = trim($FA[1]);
		}
	}
if($GLOBALS["OutputCountText"]){
	echo "<p class=\"PHPCOUTPUT\">You are visitor number " . $GLOBALS["Count"] . " since " . date("d M y", $GLOBALS["Dawn"]) . ".</p>";
	}
	
if($GLOBALS["OutputCountImage"]){
	$len = strlen($GLOBALS["Count"]);
	$i = 0;
	echo "<div id=\"PHPCounterImageDiv\">";
	while ($i < $len){
		$t = trim(substr($GLOBALS["Count"], $i, 1));
		echo "<img src=\"" . $GLOBALS["ImagesURL"]. $t . "." . $GLOBALS["OutputCountImageExtension"] . "\" alt=\"Powered by PHPCounter\">";
		$i++;
		}
	echo "</div>";
	}

chdir($StartingCWD);	


?>