<?php

	echo "<h2>All Hits</h2>";

	$TimePrefix = GetTimePrefix();
		
	$GLFN = realpath(dirname(__FILE__) . "/../GlobalLog-" . $TimePrefix . ".txt");
	if(file_exists($GLFN)){
		echo "<p>Analysing log file for the Epoch that started on " . date("d M y", $TimePrefix) . ".</p>";
		?>
		<table cellpadding="0" cellspacing="0" border="0" class="DataTable">
		<tr>
			<td class="CountsTableHeader">No.</td>
			<td class="CountsTableHeader">Requested URL</td>
			<td class="CountsTableHeader">Actual URL</td>
			<td class="CountsTableHeader">Referer</td>
			<td class="CountsTableHeader">Hit Time</td>
			<td class="CountsTableHeader">User Agent</td>
			<td class="CountsTableHeader">Remote IP/Host</td>
		</tr>
		<?php
		
		$FA = file($GLFN);
		$i=0;
		for($i=count($FA)-1; $i>=0; $i--){ //we start at count-1 because the very first one - the last line in the log - is empty
			//echo "<div>$i:$FA[$i]<br></div>";
			//Clean up the data and display it!
			//	$s = "$script_name\t$request_uri\t$referer\t$user_agent\t$remote\t". time() . "\n";

			list($ActualURL, $RequestedURL, $Referer, $UA, $Remote, $HitTime) = explode("\t", trim($FA[$i]));
			$RealCount = $i +1;
			if($i%2!=0){
				echo "<tr class=\"OddRow\"><td class=\"DataTD\">$RealCount</td>";
				}
			else{
				echo "<tr><td class=\"DataTD\">$RealCount</td>";
				}
				
				echo "<td class=\"DataTD\"><a href=\"". $RequestedURL . "\">". chunk_split($RequestedURL, 25, " ") . "</a></td>";
				
				echo "<td class=\"DataTD\">". chunk_split($ActualURL, 25, "<br />") . "</td>";
				if(strlen(trim($Referer))>0){
					echo "<td class=\"DataTD\"><a href=\"". $Referer . "\">". chunk_split($Referer, 25, " "). "</a></td>";
					}
				else{
					echo "<td class=\"DataTD\">&nbsp;</td>";
					}
				echo "<td class=\"DataTD\">". gmdate("d/M/Y H:i:s", $HitTime) . "</td>";
				echo "<td class=\"DataTD\">$UA</td>";
				echo "<td class=\"DataTD\">" . str_replace(".", ".<br />", $Remote) . "</td></tr>";
			}
		echo "</table>";
		}
	else{
		echo "<p>There are no hits in the current epoch.</p>";
		}
?>
<hr />
<div class="PluginInfo">PHPCounter 7 Core Plugin All Hits - 08Dec03 Release</div>
<div class="PluginInfo">Copyright &copy; 2003 Pierre Far. Free for non-commercial use.</div>