<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
      <html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head><title>PHPCounter 7 Installation</title>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252" />
<link href="phpcounter.css" rel="stylesheet" /></head>
<body>
<!--START Heading Table-->
	<table width="100%" cellpadding="0" cellspacing="0" border="0" class="HeadingTable">
		<tr>
			<td class="HeadLeftTD">
				<!--eKstreme.com logo here?-->&nbsp;
			</td>

			<td class="HeadRightTD" colspan="2">
				<span class="BeforeCOM">eKstreme</span><span class="COM">.com</span> 
                                PHPCounter VII
			</td>
		</tr>
	</table>
	<!--END Heading Table-->
	<?php
	
	if($_POST["SAVE"]){
		//Validate data
		$SettingsString = "<?php\n/*=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-\n\nPHPCounter 7.0 Settings File\nGenerated using the automatic installation script.\n\nEDIT AT YOUR OWN RISK!\n\n=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/\n\n";
		if($_POST["OutputCountText"]){
			$SettingsString .= "\$OutputCountText = TRUE;\n\n";
			}
		if($_POST["OutputCountImage"]){
			if(!$_POST["ImagesURL"] || !$_POST["OutputCountImageExtension"]){
				echo "<p class=\"Legal\">For PHPCounter to output images, you need to specify a URL for the images, and the images extension. You are missing one or both. Please go back to fix this problem.</p>";
				exit;
				}
			else{
				$SettingsString .= "\$OutputCountImage = TRUE;\n\$ImagesURL = \"" . trim($_POST["ImagesURL"]) . "\";\n\$OutputCountImageExtension = \"" . trim($_POST["OutputCountImageExtension"]) . "\";\n\n";
				}
			}
		if($_POST["TrackRecentHits"]){
			if(!$_POST["TimeDifference"]){
				echo "<p class=\"Legal\">You have chosen to track recent hits, but did not specify the time span during which PHPCounter should ignore multiple hits. Please go back and fix this problem.</p>";
				exit;
				}
			else{
				$SettingsString .= "\$TrackRecentHits = TRUE;\n\$TimeDifference = " . trim($_POST["TimeDifference"]) . ";\n\n";
				}
			}
		if(!$_POST["EpochLength"]){
			echo "<p class=\"Legal\">You did not specify an Epoch Length. Without this setting, PHPCounter cannot function. The default value of 604800 (1 week) has been selected automatically for you. If you would like to set a different value, please go back.</p>";
			$SettingsString .= "\$EpochLength = 604800;\n\n";
			}
		else{
			$SettingsString .= "\$EpochLength = " . trim($_POST["EpochLength"]) . ";\n\n";
			}
		
		$SettingsString .= "?>";
		
		//CHMOD the current directory!
		if(chmod(dirname(__FILE__), 0766)){
			echo "<p>Successfully CHMODed current directory.</p>";
			}	
		
		//Now write the settings string to settings.php
		if($CountFP = fopen(dirname(__FILE__) . "/settings.php", "w")){
			if(flock($CountFP, LOCK_EX)){
				fwrite($CountFP, $SettingsString);
				flock($CountFP, LOCK_UN);
				}
			fclose($CountFP);
			}
		else{
			echo "<p>ERROR: Could not open settings.php for writing.</p>";
			
			}
		echo "<p>If you do not see any warnings or errors above, then your settings have been accepted and saved.</p>";
		echo "<p>We will now try to create the directories needed by PHPCounter.</p>";
		
		
		
		//Create directories
		echo "<p></p>";
		if(!is_dir(dirname(__FILE__) . "/locks")){
			if(mkdir(dirname(__FILE__) . "/locks")){
				echo "<p>Created locks directory.</p>";			
				}
			else{
				echo "<p>ERROR: Could not create the locks directory! Please create it manually!</p>";
				}
			}
		else{
			echo "<p>Note: Locks directory already present...</p>";
			}
		if(chmod(dirname(__FILE__) . "/locks", 0766)){
			echo "<p>Successfully CHMODed locks directory.</p>";
			}
		else{
			echo "<p>ERROR: Could not CHMOD the locks directory.</p>";
			}
		//Send them back to index.php to delete install.php
		?>
		<p>If there are no error messages above, then the installtion is complete!<p>
		<p><a href="index.php?DeleteInstallFile=TRUE">Click here to finish the installion</a>.</p>
		
		<?php
		exit;
		}
	
	
//We parse the current settings.php

$AllSettings = "";

$Setting_File = dirname(__FILE__) . "/settings.php";
if (function_exists("file_get_contents")){
	$GLOBALS["AllSettings"] = file_get_contents($Setting_File);
	}
else{
	if($handle = fopen ($Setting_File, "rb")){
		$GLOBALS["AllSettings"] = trim(fread($handle, filesize($Setting_File)));
		fclose ($handle);
		}
	else{
		echo "<p>Could not open settings.php file!</p>";
		}
	}

//$AllSettings = preg_replace("/\n/", " ", $AllSettings);
//echo $AllSettings;
preg_match("/\\\$OutputCountText\s*=\s*(.+);\s?/", $AllSettings, $matches);
$CurrentSettings["OutputCountText"] = trim($matches[1]);
//echo "<p>Found setting OutputCountText: " . $CurrentSettings["OutputCountText"] . "</p>";

preg_match("/\\\$OutputCountImage\s*=\s*(.+);\s?/", $AllSettings, $matches);
$CurrentSettings["OutputCountImage"] = trim($matches[1]);
//echo "<p>Found setting OutputCountImage: " . $CurrentSettings["OutputCountImage"] . "</p>";

preg_match("/\\\$OutputCountImageExtension\s*=\s*\"(.+)\";\s?/", $AllSettings, $matches);
$CurrentSettings["OutputCountImageExtension"] = trim($matches[1]);
//echo "<p>Found setting OutputCountImageExtension: " . $CurrentSettings["OutputCountImageExtension"] . "</p>";

preg_match("/\\\$ImagesURL\s*=\s*\"(.+)\";\s?/", $AllSettings, $matches);
$CurrentSettings["ImagesURL"] = trim($matches[1]);
//echo "<p>Found setting ImagesURL: " . $CurrentSettings["ImagesURL"] . "</p>";

preg_match("/\\\$TrackRecentHits\s*=\s*(.+);\s?/", $AllSettings, $matches);
$CurrentSettings["TrackRecentHits"] = trim($matches[1]);
//echo "<p>Found setting TrackRecentHits: " . $CurrentSettings["TrackRecentHits"] . "</p>";

preg_match("/\\\$TimeDifference\s*=\s*(.+);\s?/", $AllSettings, $matches);
$CurrentSettings["TimeDifference"] = trim($matches[1]);
//echo "<p>Found setting TimeDifference: " . $CurrentSettings["TimeDifference"] . "</p>";

preg_match("/\\\$EpochLength\s*=\s*(.+);\s?/", $AllSettings, $matches);
$CurrentSettings["EpochLength"] = trim($matches[1]);
//echo "<p>Found setting EpochLength: " . $CurrentSettings["EpochLength"] . "</p>";


?>
	<form action="install.php" method="post">
		<p>Welcome to the PHPCounter 7 Installation Wizard. We will now customise PHPCounter to suit your needs and your website!</p>
	
		<p class="Legal">Please make sure you have read the <a href="help.php">help file</a>.</p>
		
		<p class="DropEM">The installation wizard has already detected the current settings. <br /><br />If this your first time installation, these are the default settings of PHPCounter. If you want to use the PHPCounter 7 default settings, then just <a href="index.php?DeleteInstallFile=TRUE">click here to continue</a>.<br /><br />If this is not your first time installation and would not like to change any settings, <a href="index.php?DeleteInstallFile=TRUE">click here to continue</a>. Otherwise, please change the settings below.</p>
		
		<h2>Output Options</h2>
		<p>PHPCounter has two output options. You can have invisible tracking, or you can output the count on each page. If you 
		want visible counting, you can set PHPCounter to either output a simple HTML paragraph with the count, or you can output
		the count as a series of images. You can ouput both! Uncheck both options below to have invisible counting.</p>
		<?php
		if($CurrentSettings["OutputCountText"] == "TRUE"){
			echo "<p><input type=\"checkbox\" name=\"OutputCountText\" checked=\"checked\" />Output count as HTML text</p>";
			}
		else{
			echo "<p><input type=\"checkbox\" name=\"OutputCountText\" />Output count as HTML text</p>";
			}
		if($CurrentSettings["OutputCountImage"] == "TRUE"){
			echo "<p><input type=\"checkbox\" name=\"OutputCountImage\" checked=\"checked\" />Output count as images</p>";
			}
		else{
			echo "<p><input type=\"checkbox\" name=\"OutputCountImage\" />Output count as images</p>";
			}
		?>
		<p>If you want your count to show up as images, you need to specify the file extension
		of the images. Further, you have to tell PHPCounter the images' URL, and also the file extension of the images. 
		At that URL, if you have .jpg images, you need images called '0.jpg','1.jpg',...,'8.jpg','9.jpg'. If you have
		.gif images, then the files should be called '0.gif','1.gif',...,'8.gif','9.gif'. The file extension can be anything
		you define.</p>
		<?php
		if(strlen(trim($CurrentSettings["ImagesURL"]))){
			echo "<p>Images URL: <input type=\"text\" name=\"ImagesURL\" value=\""  . trim($CurrentSettings["ImagesURL"]) . "\" /></p>";
			}
		else{
			echo "<p>Images URL: <input type=\"text\" name=\"ImagesURL\" /></p>";
			}
		
		if(strlen(trim($CurrentSettings["ImagesURL"]))){
			echo "<p>Images file extension: <input type=\"text\" name=\"OutputCountImageExtension\"  value=\""  . trim($CurrentSettings["OutputCountImageExtension"]) . "\" /></p>";
			}
		else{
			echo "<p>Images file extension: <input type=\"text\" name=\"OutputCountImageExtension\" /></p>";
			}
		?>
		
		<h2>Multiple Hits Options</h2>
		<p>You can set PHPCounter to ignore multiple page hits if they occur within a defined time span. This
		allows you to ignore page refreshes by the same user.</p>
		<p>Firstly, you have to turn on the feature. If you do turn on the feature, you need to define the time span
		<span class="DropEM">in seconds</span> during which multiple hits are ignored. The time <span class="DropEM">must be set in seconds</span>. For your convenience, 
		here are some useful time spans: 1 minute is 60 seconds. 5 minutes are 300 seconds. 10 minutes are 600 seconds. The default is ignoring hits for 5 minutes.</p>
		<?php
		if($CurrentSettings["TrackRecentHits"] == "TRUE"){
			echo "<p><input type=\"checkbox\" name=\"TrackRecentHits\" checked=\"checked\" />Ignore multiple hits...</p>";
			}
		else{
			echo "<p><input type=\"checkbox\" name=\"TrackRecentHits\" />Ignore multiple hits...</p>";
			}
			
		if(strlen(trim($CurrentSettings["TimeDifference"]))){
			echo "<p>...for <input type=\"text\" name=\"TimeDifference\"  value=\""  . trim($CurrentSettings["TimeDifference"]) . "\" /> seconds. (Type in a number!)</p>";
			}
		else{
			echo "<p>...for <input type=\"text\" name=\"TimeDifference\" /> seconds. (Type in a number!)</p>";
			}
		?>

		<h2>Automatic Log Rotation</h2>
		<p>PHPCounter automatically starts a fresh log file for you every week by default. You can set this period for
		rotation here. This period is called an Epoch. The Epoch length <span class="DropEM">must be set in seconds</span>! Some values: 1 day (24 hours) is 86400 seconds. 1 week is 604800 seconds. The default is 1 week.</p>
		<?php
		if(strlen(trim($CurrentSettings["EpochLength"]))){
			echo "<p>Epoch length: <input type=\"text\" name=\"EpochLength\"  value=\""  . trim($CurrentSettings["EpochLength"]) . "\" /> seconds. (Type in a number!)</p>";
			}
		else{
			echo "<p>Epoch length <input type=\"text\" name=\"EpochLength\" value=\"604800\"/> seconds. (Type in a number!)</p>";
			}
		?>

		<p><input type="submit" name="SAVE" value="Store Settings" /> * <input type="reset" value="Reset to Defaults" /></p>
	</form>
	

</body></html>